export default interface IState {
  /** Stores the parsed arguments that are returned by the argument parser */
  outputArgs: { [key: string]: string };
  /** Lookup table from the short option names to their corresponding long option nmae */
  shortToLongLookup: { [key: string]: string };
  /** For each required option, store if the parser already encountered it. At the end of parsing, all entries must be set to true or the parser fails. */
  requiredOptions: { [key: string]: boolean };
}
